import { OnInit, Renderer, ElementRef, EventEmitter } from '@angular/core';
import { JalaliHourPipe } from '../../pipes/jalalifyHour';
export declare class JalaliDateInputComponent implements OnInit {
    private readonly renderer;
    jalalifyHour: JalaliHourPipe;
    placeholder?: string;
    showDialog?: boolean;
    clickToChoose: boolean;
    timePicker: boolean;
    openMode: boolean;
    onChangeFunction?: EventEmitter<{}>;
    value?: any;
    valueChange: EventEmitter<string>;
    dateToShow: String;
    container: ElementRef;
    floatBox: ElementRef;
    globalListnersUnlisteners: Function[];
    constructor(renderer: Renderer, jalalifyHour: JalaliHourPipe);
    ngOnInit(): void;
    convertRemToPixels(rem: any): number;
    onChange(ev: any): void;
    onKeyPress(event: KeyboardEvent): void;
    showCalendar(): void;
    hideCalendar(): void;
    onBodyClick(): void;
}
